#ifdef GL_ES
precision mediump float;
#endif

//varying vec2 v_texCoord0;
//uniform sampler2D u_texture;

uniform float u_lightFar;
uniform vec3 u_lightDirection;
uniform vec3 u_lightPosition;
varying vec4 v_position;

void main() {
	float depth = dot(v_position.xyz - u_lightPosition, u_lightDirection)/u_lightFar;
    vec3 col = vec3(depth*255.0, 0, 0);
    col.g=floor(col.r)/255.0;
    col.b=fract(col.r);
    gl_FragColor = vec4(1, col.g, col.b, 1);
}