#ifdef GL_ES
precision mediump float;
#endif

uniform int u_interior;

uniform float u_camFar;
uniform vec3 u_camDirection;
uniform vec3 u_camPosition;
varying vec4 v_position;

void main() {

	float depth = dot(v_position.xyz - u_camPosition, u_camDirection)/u_camFar;
    vec3 col = vec3(depth*255.0, 0.0, 0.0);
    col.g=floor(col.r)/255.0;
    col.b=fract(col.r);
    gl_FragColor = vec4(float(u_interior), col.g, col.b, 1.0);
}